Update Apple application configuration
Required Permission: mdm.apple.application.update
Updates the configuration, settings, and deployment policies for an existing Apple enterprise application.
Request
authorization
Authorization: Bearer <token>
application/json
{
"type": "build",
"config": {
"appStoreId": "1234567890",
"country": "US",
"buildId": "698f22bb18f11470ce02da30",
"mdmAssetId": "698f22bb18f11470ce02da30",
"applicationId": "698f22bb18f11470ce02da30",
"filter": "production"
},
"os": "ios",
"scripts": {
"preInstall": "#!/bin/bash\necho \"Preparing installation...\"",
"postInstall": "#!/bin/bash\necho \"Installation complete\"",
"audit": "#!/bin/bash\nif [ -d \"/Applications/MyApp.app\" ]; then exit 0; fi",
"enforce": "#!/bin/bash\nopen -a \"MyApp\"",
"runner": "#!/bin/bash\nexec \"$@\""
}
}
Responses
application/json
{
"status": true,
"data": {
"id": "698f22bb18f11470ce02da30",
"organization": "698f22bb18f11470ce02da30",
"admEnterprise": "698f22bb18f11470ce02da30",
"type": "build",
"config": {
"appStoreId": "1234567890",
"country": "US",
"buildId": "698f22bb18f11470ce02da30",
"mdmAssetId": "698f22bb18f11470ce02da30",
"applicationId": "698f22bb18f11470ce02da30",
"filter": "production"
},
"os": "ios",
"info": {},
"origin": "library",
"version": 5,
"updatedAt": "2026-02-10T14: 22:00Z",
"createdAt": "2026-01-15T10: 30:00Z"
}
}
application/json
{
"status": false,
"error": {
"code": 4002,
"message": "No auth token"
}
}
application/json
{
"status": false,
"error": {
"code": 3001,
"message": "Entity not found"
}
}